edu.whs.spin2018.baoapp.service.mehrspieler

## Class MehrspielerServiceInteractor

- java.lang.Object
- - edu.whs.spin2018.baoapp.service.ServiceInteractor
  - - edu.whs.spin2018.baoapp.service.mehrspieler.MehrspielerServiceInteractor

- All Implemented Interfaces:
    BaoServiceInterface, BaseInteractorInterface, MehrspielerEventListener, MehrspielerRemoteDataSource

      public class MehrspielerServiceInteractor
      extends ServiceInteractor
      implements MehrspielerRemoteDataSource

- - ### Field Summary

    - ### Fields inherited from class edu.whs.spin2018.baoapp.service.ServiceInteractor

      `TAG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MehrspielerServiceInteractor(BaoService service, Benutzer spieler)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `entferneRegistrierteListener()` Entfernt die zusätzlichen registrierten Listener vom Socket.
    `void` | `onGegnerGefunden(Benutzer gegner, java.lang.String raum)`
    `void` | `onNeueNachricht(java.lang.Object... args)` Wird beim erhalten eines Nachricht-Events aufgerufen.
    `void` | `registriereBenoetigteListener()` Registriert, zusätzlich zum Nachrichten-Event Listener, weitere Listener am Socket
    `void` | `setzeListener(MehrspielerEventListener listener)` Setzt einen Listener, der beim erhalten von Events vom Service benachrichtigt werden soll.
    `void` | `trittWarteschlangeBei()` Tritt der Warteschlange auf dem Server bei um ein Schnellspiel zu suchen.
    `void` | `verlasseWarteschlange()` Verlässt die Warteschlange auf dem Server und hört somit auf nach einem Schnellspiel zu suchen.

    - ### Methods inherited from class edu.whs.spin2018.baoapp.service.ServiceInteractor

      `entferneListener, raumBetreten, raumVerlassen, registriereBenutzerListeErhaltenListener, registriereBenutzerTrittRaumBeiListener, registriereBenutzerVerlaesstRaumListener, registriereNachrichtenListener, registriereVerbundenListener, sendeBroadcast, sendeNachricht, trennen, verbinden, zeigeBenutzerImRaum`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface edu.whs.spin2018.baoapp.service.BaoServiceInterface

      `entferneListener, raumBetreten, raumVerlassen, registriereBenutzerListeErhaltenListener, registriereBenutzerTrittRaumBeiListener, registriereBenutzerVerlaesstRaumListener, registriereNachrichtenListener, registriereVerbundenListener, sendeBroadcast, sendeNachricht, trennen, verbinden, zeigeBenutzerImRaum`

- - ### Constructor Detail

    - #### MehrspielerServiceInteractor

          public MehrspielerServiceInteractor(@NonNull
                                              BaoService service,
                                              Benutzer spieler)

  - ### Method Detail

    - #### trittWarteschlangeBei

          public void trittWarteschlangeBei()

      Description copied from interface: `MehrspielerRemoteDataSource`
      Tritt der Warteschlange auf dem Server bei um ein Schnellspiel zu suchen.
      Specified by:
        `trittWarteschlangeBei` in interface `MehrspielerRemoteDataSource`

    - #### verlasseWarteschlange

          public void verlasseWarteschlange()

      Description copied from interface: `MehrspielerRemoteDataSource`
      Verlässt die Warteschlange auf dem Server und hört somit auf nach einem Schnellspiel zu suchen.
      Specified by:
        `verlasseWarteschlange` in interface `MehrspielerRemoteDataSource`

    - #### setzeListener

          public void setzeListener(MehrspielerEventListener listener)

      Description copied from interface: `MehrspielerRemoteDataSource`
      Setzt einen Listener, der beim erhalten von Events vom Service benachrichtigt werden soll.
      Specified by:
        `setzeListener` in interface `MehrspielerRemoteDataSource`
      Parameters:
        `listener` - - listener, der benachrichtigt werden soll

    - #### registriereBenoetigteListener

          public void registriereBenoetigteListener()

      Description copied from interface: `BaseInteractorInterface`
      Registriert, zusätzlich zum Nachrichten-Event Listener, weitere Listener am Socket
      Specified by:
        `registriereBenoetigteListener` in interface `BaseInteractorInterface`

    - #### entferneRegistrierteListener

          public void entferneRegistrierteListener()

      Description copied from interface: `BaseInteractorInterface`
      Entfernt die zusätzlichen registrierten Listener vom Socket.
      Specified by:
        `entferneRegistrierteListener` in interface `BaseInteractorInterface`

    - #### onNeueNachricht

          public void onNeueNachricht(java.lang.Object... args)

      Description copied from interface: `BaseInteractorInterface`
      Wird beim erhalten eines Nachricht-Events aufgerufen.
      Specified by:
        `onNeueNachricht` in interface `BaseInteractorInterface`
      Parameters:
        `args` - - Daten, die mit dem Event gesendet wurden

    - #### onGegnerGefunden

          public void onGegnerGefunden(Benutzer gegner,
                                       java.lang.String raum)

      Specified by:
        `onGegnerGefunden` in interface `MehrspielerEventListener`